This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1471507 - Should the atomic run --detach option create a containerized ipa server in background?
Should the atomic run --detach option create a containerized ipa server in ba...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa-server-docker (Show other bugs)
7.4
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Petr Vobornik
Nikhil Dehadrai
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-16 09:46 EDT by mpanaous
Modified: 2017-08-18 10:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mpanaous 2017-07-16 09:46:08 EDT
Description of problem:
Should the atomic run --detach option create a containerized ipa server in background?

Version-Release number of selected component (if applicable):

-bash-4.2# atomic host status
State: idle
Deployments:
* rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
             Version: 7.3.6 (2017-06-23 16:20:45)
              Commit: e073a47baa605a99632904e4e05692064302afd8769a15290d8ebe8dbfd3c81b

  rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
             Version: 7.3.5-1 (2017-06-09 19:58:11)
              Commit: c04cab425084ce81d66d1717f464e292bc5a908a86802faf0da7dd22d74d3727
-bash-4.2# 

How reproducible:
always

Steps to Reproduce:

-bash-4.2# atomic run --help
usage: atomic run [-h] [--storage STORAGE] [-n NAME] [--spc] [-d]
                  [--quiet | --display]
                  image ...
  -d, --detach          run the container in the background

-bash-4.2# atomic run --name ipasrv --detach rhel7/ipa-server
docker run -h ipasrv.dockerlab.local --rm --name ipasrv -v /var/lib/ipasrv:/data:Z -v /sys/fs/cgroup:/sys/fs/cgroup:ro --tmpfs /run --tmpfs /tmp -v /dev/urandom:/dev/random:ro rhel7/ipa-server
Sun Jul 16 13:31:35 UTC 2017 /usr/sbin/ipa-server-configure-first upgrade
FreeIPA server is already configured, starting the services.
Sun Jul 16 13:32:08 UTC 2017 /usr/sbin/ipa-server-configure-first update-self-ip-address
ipasrv.dockerlab.local has address 172.17.0.2
FreeIPA server started.


^C-bash-4.2#


Actual results:
containerized ipa continues to run in foreground unless killed by Ctrl+C

Expected results:
run the container in the background

Additional info:

Note You need to log in before you can comment on or make changes to this bug.